Data.Iteratee.ListLike

# Iteratees

## Iteratee Utilities

isFinished

stream2list

stream2stream

## Basic Iteratees

break

dropWhile

drop

head

tryHead

last

heads

peek

roll

length

chunkLength

takeFromChunk

## Nested iteratee combinators

breakE

take

takeUpTo

takeWhile

takeWhileE

mapStream

rigidMapStream

filter

group

groupBy

merge

mergeByChunks

## Folds

foldl

foldl'

foldl1

foldl1'

## Special Folds

sum

product

# Enumerators

## Basic enumerators

enumPureNChunk

## Enumerator Combinators

enumPair

enumWith

zip

zip3

zip4

zip5

sequence_

countConsumed

greedy

## Monadic functions

mapM_

foldM

# Re-exported modules